<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.mapper.HouseInfoMapper">

    <resultMap id="BaseResultMap" type="com.ruoyi.web.domain.entity.HouseInfo">
            <id property="id" column="id" jdbcType="INTEGER"/>
            <result property="houseCode" column="house_code" jdbcType="VARCHAR"/>
            <result property="doorplateNumber" column="doorplate_number" jdbcType="VARCHAR"/>
            <result property="houseAddress" column="house_address" jdbcType="VARCHAR"/>
            <result property="houseOwnerId" column="house_owner_id" jdbcType="INTEGER"/>
            <result property="totalPoints" column="total_points" jdbcType="INTEGER"/>
            <result property="remainingPoints" column="remaining_points" jdbcType="INTEGER"/>
            <result property="houseCategory" column="house_category" jdbcType="TINYINT"/>
            <result property="buildingArea" column="building_area" jdbcType="DECIMAL"/>
            <result property="grid" column="grid" jdbcType="INTEGER"/>
            <result property="photoUrl" column="photo_url" jdbcType="VARCHAR"/>
            <result property="houseTags" column="house_tags" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="delFlag" column="del_flag" jdbcType="CHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,house_code,doorplate_number,
        house_address,house_owner_id,total_points,
        remaining_points,house_category,building_area,
        grid,photo_url,house_tags,
        create_time,update_time,del_flag
    </sql>
</mapper>
